Bug 117511 - x11-wm/xfce4 | xfwm hang after gtk2 update
Summary: x11-wm/xfce4 | xfwm hang after gtk2 update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Oliver Lehmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-25 21:00 UTC by JImmie James
Modified: 2007-10-26 12:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description JImmie James 2007-10-25 21:00:05 UTC
See discussions in How To Fix.

Fix: 

http://bugzilla.xfce.org/attachment.cgi?id=1188
https://bugs.freedesktop.org/show_bug.cgi?id=12666
http://bugzilla.xfce.org/show_bug.cgi?id=3346
How-To-Repeat: Update GTK2, start XFCE4, do something, and wait.
Comment 1 Martin Wilke freebsd_committer 2007-10-25 21:52:44 UTC
On Thu, 25 Oct 2007 19:58:20 GMT
Jimmie James <jimmiejaz@gmail.com> wrote:




Please try http://miwi.homeunix.com/xfce4-wm.diff

- Martin

-- 
Martin Wilke		| irc:    | irc.unixfreunde.de #bsd 
FreeBSD Committer	| Jabber: | miwi@bsdcrew.de
Power to Serve		| Mail:   | miwi@FreeBSD.org
Comment 2 JImmie James 2007-10-25 22:21:49 UTC
Martin Wilke wrote:
> On Thu, 25 Oct 2007 19:58:20 GMT
> Jimmie James <jimmiejaz@gmail.com> wrote:
> 
> 
> 
> 
> Please try http://miwi.homeunix.com/xfce4-wm.diff
> 
> - Martin
> 

  ~>pkg_info |grep xfce4-w
xfce4-wm-4.4.1_2    XFce 4 window manager

Still hangs, diff appears to have applied cleaning, recompiled with 
portinstall -fw xfce4-wm  opened a couple of windows, and hang.
-- 
If you can't beat your computer at chess, try kickboxing.
		---		---		---
Solving Today's Problems Tomorrow
Comment 3 Edwin Groothuis freebsd_committer 2007-10-26 00:29:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 4 JImmie James 2007-10-26 01:14:22 UTC
Martin Wilke wrote:
> On Thu, 25 Oct 2007 18:16:17 -0400
> Jimmie James <jimmiejaz@gmail.com> wrote:
> 
> |It gives nothing, ran under truss for about 5 minutes, no freeze, ran 
> |normally (startx) and froze up, nothing in the logs, nothing on
> |console. 
> |  Going to recompile with debug.  Will update you.
> |
> |gtk-1.2.10_18       Gimp Toolkit for X11 GUI (previous stable version)
> |gtk-2.12.1          Gimp Toolkit for X11 GUI (current stable version)
> |gtk-engines2-2.12.2 Theme engine for the gtk+-2.0 toolkit
> |gtk-xfce-engine-2.4.1_1 An XFCE engine for GTK 2.0
> |libxfce4gui-4.4.1_1 XFce 4 widget library required by xfce4 and xfwm4
> |libxfce4mcs-4.4.1_1 XFce 4 settings management library used by most
> |XFce 4 modu
> |libxfce4util-4.4.1  XFce 4 library with non-graphical helper functions
> |xfce4-wm-4.4.1_2    XFce 4 window manager
> 
> 
> Ok Thanks :-).
> 
> - Martin
> 

It would seem that after a rm -rf /usr/ports/x11-wm/xfce4-wm and a csup, 
reapplying the patch, http://miwi.homeunix.com/xfce4-wm.diff , has 
solved it for me as well.

Thank you Martin.

-- 
If you can't beat your computer at chess, try kickboxing.
		---		---		---
Solving Today's Problems Tomorrow
Comment 5 Oliver Lehmann freebsd_committer 2007-10-26 12:04:44 UTC
State Changed
From-To: open->closed

fix committed, thanks for submitting the PR!
Comment 6 dfilter service freebsd_committer 2007-10-26 12:23:29 UTC
oliver      2007-10-26 11:23:22 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm/xfce4-wm      Makefile 
  Added files:
    x11-wm/xfce4-wm/files patch-client.c patch-display.c 
                          patch-display.h patch-hint.c 
                          patch-hint.h 
  Log:
  fix a problem with gtk 2.12 which caused the wm to freeze
  more info: http://bugzilla.xfce.org/show_bug.cgi?id=3346
  
  PR:             117511
  Submitted by:   Jimmie James <jimmiejaz@gmail.com>
  
  Revision  Changes    Path
  1.43      +1 -1      ports/x11-wm/xfce4-wm/Makefile
  1.1       +26 -0     ports/x11-wm/xfce4-wm/files/patch-client.c (new)
  1.1       +40 -0     ports/x11-wm/xfce4-wm/files/patch-display.c (new)
  1.1       +10 -0     ports/x11-wm/xfce4-wm/files/patch-display.h (new)
  1.1       +61 -0     ports/x11-wm/xfce4-wm/files/patch-hint.c (new)
  1.1       +10 -0     ports/x11-wm/xfce4-wm/files/patch-hint.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"